import { UMB_WORKSPACE_CONTEXT } from '../../workspace.context-token.js';
import { UmbContextBase } from '../../../../../libs/class-api/index.js';
import { UmbEntityContext } from '../../../entity/index.js';
import { UmbViewContext } from '../../../view/index.js';
export class UmbDefaultWorkspaceContext extends UmbContextBase {
    #entityContext;
    constructor(host) {
        super(host, UMB_WORKSPACE_CONTEXT.toString());
        this.#entityContext = new UmbEntityContext(this);
        this.view = new UmbViewContext(this, null);
    }
    set manifest(manifest) {
        this.workspaceAlias = manifest.alias;
        this.setEntityType(manifest.meta.entityType);
        this.view.setTitle(manifest.meta.headline);
    }
    setUnique(unique) {
        this.#entityContext.setUnique(unique);
    }
    getUnique() {
        return this.#entityContext.getUnique();
    }
    setEntityType(entityType) {
        this.#entityContext.setEntityType(entityType);
    }
    getEntityType() {
        return this.#entityContext.getEntityType();
    }
}
export { UmbDefaultWorkspaceContext as api };
